Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Interface ASN1Template

All Known Implementing Classes:
  ANY.Template, BIT_STRING.Template, BOOLEAN.Template, SET.OF_Template, SET.Template, OBJECT_IDENTIFIER.Template, EXPLICIT.Template, GeneralizedTime.Template, NULL.Template, UTCTime.Template, CHOICE.Template, CharacterString.Template, BMPString.Template, TeletexString.Template, PrintableString.Template, UniversalString.Template, IA5String.Template, UTF8String.Template, INTEGER.Template, ENUMERATED.Template, OCTET_STRING.Template, SEQUENCE.Template, SEQUENCE.OF_Template, IssuerAndSerialNumber.Template, DigestInfo.Template, SignerInfo.Template, EncryptedContentInfo.Template, DigestedData.Template, EnvelopedData.Template, SignedAndEnvelopedData.Template, RecipientInfo.Template, EncryptedData.Template, Attribute.Template, ContentInfo.Template, SignedData.Template, CertificationRequest.Template, CertificationRequestInfo.Template, SafeBag.Template, MacData.Template, SecretBag.Template, CertBag.Template, AuthenticatedSafes.Template, PFX.Template, PrivateKeyInfo.Template, PBEParameter.Template, Attribute.Template, DirectoryString.Template, EncryptedPrivateKeyInfo.Template, Name.Template, RDN.Template, SubjectPublicKeyInfo.Template, AlgorithmIdentifier.Template, AVA.Template, CertificateInfo.Template, SubjectKeyIdentifier.Template, Certificate.Template, Extension.Template, TaggedCertificationRequest.Template, TaggedRequest.Template, PKIData.Template, TaggedAttribute.Template, ResponseBody.Template, OtherInfo.Template, PendInfo.Template, CMCStatusInfo.Template, IssuerAndSubject.Template, RevRepContent.Template, PKIStatusInfo.Template, RevRequest.Template, GetCRL.Template, EncryptedData.Template, RecipientInfo.Template, SignedAndEnvelopedData.Template, DigestedData.Template, EncapsulatedContentInfo.Template, EnvelopedData.Template, SignerIdentifier.Template, SignedData.Template, EncryptedContentInfo.Template, ContentInfo.Template, DigestInfo.Template, SignerInfo.Template, IssuerAndSerialNumber.Template, CertTemplate.Template, ProofOfPossession.Template, PKIArchiveOptions.Template, EncryptedValue.Template, CertRequest.Template, Control.Template, CertReqMsg.Template, CertId.Template, EncryptedKey.Template, POPOPrivKey.Template, PKIPublicationInfo.Template, POPOSigningKey.Template

public abstract interface ASN1Template

An interface for decoding ASN1Values from their BER encodings.

See Also:
  `ASN1Value`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes an ASN1Value from the InputStream without an implicit tag.
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)` Decodes an ASN1Value from the InputStream with the given implicit tag.
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.

Method Detail

### tagMatch

    public boolean tagMatch(Tag tag)

  Determines whether the given tag will satisfy this template.

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes an ASN1Value from the InputStream without an implicit tag.
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Decodes an ASN1Value from the InputStream with the given implicit tag.
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD